Get team by ID or slug (public)
GET
/teams/{id_or_slug}
const url = 'https://shoehorn.example.com/api/v1/teams/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/teams/exampleAccepts either a UUID or a team slug.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id_or_slug
required
string
Responses
Section titled “ Responses ”Team details with members, mappings, and audit log
Media type application/json
object
team
object
id
string format: uuid
name
string
slug
string
description
string
metadata
object
parent_id
string format: uuid
created_at
string format: date-time
updated_at
string format: date-time
members
Array<object>
object
user_id
string
name
string
email
string
role
string
group_mappings
Array<object>
object
id
string format: uuid
group_name
string
provider
string
role
string
audit_log
Array<object>
object
Example
{ "members": [ { "role": "lead" } ]}